

<?php $__env->startSection('breadcrumbs'); ?>
    <?php echo $__env->make('__partials.breadcrumbs', [
        'data' => [
            ['route' => 'home', 'name' => 'Inicio'],
            ['route' => '', 'name' => 'Titulo'],
            ['route' => '', 'name' => 'Nuevo - Formulario']
        ],
        'show_add_button' => false
    ], \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
  <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
      <div class="card-body">
          <form class="form" method="POST" action="<?php echo e(route('titulos.guardar')); ?>">
            <?php echo e(csrf_field()); ?>

            <input type="hidden" name="titulo_id" value="<?php echo e($titulo->id); ?>">
            <?php if(isset($mensaje)): ?>
              <div class="alert alert-warning" role="alert"><?php echo e($mensaje); ?></div>
            <?php endif; ?>
            <?php if($errors->any()): ?>
              <div class="alert alert-danger" role="alert">
                <?php echo e($errors->first()); ?>

              </div>
            <?php endif; ?>
            <div style="font-size: 11px;">
              <div class="row">
                <div class="col-md-5 grid-margin stretch-card">
                  <div class="card">

                    <div class="card-body py-1">
                      <h6 class="text-facebook font-weight-semibold mb-0" style="font-size: 13px;">Fecha del Titulo</h6>
                      <div id="datepicker-popup" class="input-group date datepicker">
                        <input type="text" class="form-control" name="fecha" value="<?php if($titulo->fecha != null): ?><?php echo e(\Carbon\Carbon::parse($titulo->fecha)->format('d/m/Y')); ?><?php else: ?><?php echo e(old('fecha')); ?><?php endif; ?>">
                        <span class="input-group-addon input-group-append border-left">
                          <span class="mdi mdi-calendar input-group-text"></span>
                        </span>
                      </div>
                      <?php if($errors->has('fecha')): ?>
                        <div class="alert alert-danger" role="alert">
                          <?php echo e($errors->first('fecha')); ?>

                        </div>
                      <?php endif; ?>
                      <br>

                      <h6 class="text-facebook font-weight-semibold mb-0" style="font-size: 13px;">CEDULA/NIT</h6>
                      <input type="text" class="form-control" id="cedula_nit" name="cedula_nit" placeholder="CEDULA/NIT" value="<?php if($titulo->cedula_nit != null): ?><?php echo e($titulo->cedula_nit); ?><?php else: ?><?php echo e(old('cedula_nit')); ?><?php endif; ?>">
                      <?php if($errors->has('cedula_nit')): ?>
                        <div class="alert alert-danger" role="alert">
                          <?php echo e($errors->first('cedula_nit')); ?>

                        </div>
                      <?php endif; ?>
                      <br>

                      <h6 class="text-facebook font-weight-semibold mb-0" style="font-size: 13px;">NUMERO DE TITULO</h6>
                      <input type="text" class="form-control" name="nombre_documento" placeholder="NUMERO DE TITULO" value="<?php if($titulo->nombre_documento != null): ?><?php echo e($titulo->nombre_documento); ?><?php else: ?><?php echo e(old('nombre_documento')); ?><?php endif; ?>">
                      <?php if($errors->has('nombre_documento')): ?>
                        <div class="alert alert-danger" role="alert">
                          <?php echo e($errors->first('nombre_documento')); ?>

                        </div>
                      <?php endif; ?>
                      <br>

                      <h6 class="text-facebook font-weight-semibold mb-0" style="font-size: 13px;">VALOR Ej. 34500.05</h6>
                      <input type="text" class="form-control" name="valor_real" placeholder="VALOR" value="<?php if($titulo->valor_real != null): ?><?php echo e($titulo->valor_real); ?><?php else: ?><?php echo e(old('valor_real')); ?><?php endif; ?>">
                      <?php if($errors->has('valor_real')): ?>
                        <div class="alert alert-danger" role="alert">
                          <?php echo e($errors->first('valor_real')); ?>

                        </div>
                      <?php endif; ?>

                      <h6 class="text-facebook font-weight-semibold mb-0" style="font-size: 13px;">ESTADO</h6>
                      <select class="form-control" name="estado">
                        <?php if($titulo->es_apropiado == 0 && $titulo->es_fraccionado == 0): ?>
                          <option value="singestioonar" selected>SIN GESTIONAR</option>
                          <option value="proceso">PROCESO JURIDICO</option>
                        <?php elseif($titulo->es_apropiado == 1): ?>
                          <option value="apropiado" selected disabled>APROPIADO</option>
                        <?php elseif($titulo->es_fraccionado > 0): ?>
                          <option value="fraccionado" selected disabled>FRACCIONADO</option>
                        <?php elseif($titulo->es_apropiado == -2): ?>
                          <option value="singestioonar">SIN GESTIONAR</option>
                          <option value="proceso" selected>PROCESO JURIDICO</option>
                        <?php elseif($titulo->es_apropiado == -3): ?>
                          <option value="devolucion" selected disabled>DEVOLUCION</option>
                        <?php else: ?>
                          <option value="singestioonar" selected>SIN GESTIONAR</option>
                          <option value="apropiado">APROPIADO</option>
                          <option value="fraccionado">FRACCIONADO</option>
                          <option value="proceso">PROCESO JURIDICO</option>
                          <option value="devolucion">DEVOLUCION</option>
                        <?php endif; ?>
                      </select>
                      <?php if($errors->has('estado')): ?>
                        <div class="alert alert-danger" role="alert">
                          <?php echo e($errors->first('estado')); ?>

                        </div>
                      <?php endif; ?>

                    </div>
                  </div>
                </div>

                <div class="col-md-7 grid-margin stretch-card">
                  <div class="card">
                    <div class="card-body py-1">
                      <h6 class="text-facebook font-weight-semibold mb-0" style="font-size: 13px;">Titulos Encontrados...</h6>
                      <div id="htmltitulos">

                      </div>
                    </div>
                  </div>
                </div>
              </div>
              <div class="row">
                <div class="col-md-6 grid-margin stretch-card">
                  <div class="card">
                    <div class="card-body py-1">
                      <div class="d-flex flex-row justify-content-center align-items">
                        <div class="ml-3">
                          <button type="submit" class="btn btn-success btn-fw">Guardar Titulo</button>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </form>
      </div>
    </div>
  </div>
  <script type="text/javascript">
    <?php if(isset($titulo->id)): ?>
    window.onload = function() {
      consultarTitulos();
    };

    <?php endif; ?>
  </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>