<?php $__env->startSection('breadcrumbs'); ?>
    <?php echo $__env->make('__partials.breadcrumbs', [
        'data' => [
            ['route' => 'home', 'name' => 'Inicio'],
            ['route' => '', 'name' => 'Titulos'],
            ['route' => '', 'name' => 'Devolucion']
        ],
        'show_add_button' => false
    ], \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
  <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
      <div class="card-body">
        <h4 class="card-title">Ingrese la identificacion para consultar los titulos</h4>
        <div class="row flex-grow">
          <div class="col-8">
            <form class="form-inline" method="GET" action="<?php echo e(route('titulos.devolucion')); ?>">
              <div class="form-group">
                <input type="text" class="form-control" name="identificacion" placeholder="Identificacion" value="<?php echo e($identificacion); ?>">
                <button type="submit" class="btn btn-success mr-2">Buscar</button>
              </div>
            </form>
          </div>
        </div>
        <br>
        <?php if($comparendos != []): ?>
          <h6 class="text-facebook font-weight-semibold mb-0" style="font-size: 13px;">Infractor: <?php echo e($nombreInfractor); ?></h6>
          <h4>Deuda Total: <?php echo e($deudaTotal); ?></h4>
          <?php if($flagDebe): ?>
            <?php if(count($titulos) > 0): ?>

            <form class="form-inline" method="GET" action="<?php echo e(route('titulos.apropiar', ['cedula' => $identificacion])); ?>">
              <div class="form-group">
              <input type="date" class="form-control" name="fecha" placeholder="fecha apropiacion"
               value="<?php echo "".Carbon\Carbon::now()->format('Y-m-d'); ?>">
              <button type="submit" class="btn btn-secondary btn-fw">Generar Apropiacion</button>
              </div>
            </form>

            <?php endif; ?>
          <?php endif; ?>
          <hr>

          <form class="form-inline" method="post" action="<?php echo e(route('titulos.devolver')); ?>">
            <?php echo e(csrf_field()); ?>

            <input type="hidden" name="identificacion" value="<?php echo e($identificacion); ?>">
            <div style="font-size: 11px;">
              <div class="row">
                <div class="col-md-6 grid-margin stretch-card">
                  <div class="card">
                    <div class="card-body">
                      <div class="d-flex flex-row justify-content-center align-items">
                        <div class="ml-3">
                          <?php if(!$flagDebe): ?>
                            <?php if($devolver): ?>
                              <button type="submit" class="btn btn-primary btn-fw">Generar Resolucion Devolucion</button>
                            <?php endif; ?>
                          <?php elseif($tieneAcuerdo && $devolver): ?>
                            <button type="submit" class="btn btn-primary btn-fw">Generar Resolucion Devolucion</button>
                          <?php endif; ?>

                          <br><br>
                          <?php if(count($titulos) > 0): ?>
                            <table class="table table-striped">
                              <thead>
                                <tr>
                                  <th style="text-align: center;"></th>
                                  <th> Fecha </th>
                                  <th> Titulo </th>
                                  <th> Valor </th>
                                  <th> Estado </th>
                                </tr>
                              </thead>
                              <tbody>
                                <?php $__currentLoopData = $titulos; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $titulo): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                  <tr>
                                    <td>
                                      <?php if($titulo->es_apropiado == 0 && $titulo->es_fraccionado == 0): ?>
                                        <input type="checkbox" name="tit[]" value="<?php echo e($titulo->id); ?>" checked>
                                      <?php endif; ?>
                                    </td>
                                    <td><?php echo e(\Carbon\Carbon::parse($titulo->fecha)->format('d/m/Y')); ?></td>
                                    <td><?php echo e($titulo->nombre_documento); ?></td>
                                    <td>$ <?php echo e(number_format($titulo->valor_real, 2, ",", ".")); ?></td>
                                    <td>
                                      <?php if($titulo->es_apropiado == 0 && $titulo->es_fraccionado == 0): ?>
                                        SIN GESTIONAR
                                      <?php elseif($titulo->es_apropiado == 1): ?>
                                        APROPIADO
                                      <?php elseif($titulo->es_fraccionado > 0): ?>
                                        FRACCIONADO
                                      <?php elseif($titulo->es_apropiado == -2): ?>
                                        PROCESO JURIDICO
                                      <?php elseif($titulo->es_apropiado == -3): ?>
                                        DEVOLUCION
                                      <?php elseif($titulo->es_apropiado == -4): ?>
                                        ELIMINADO                                       
                                      <?php endif; ?>
                                    </td>
                                  </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                              </tbody>
                            </table>
                          <?php else: ?>
                            NO TIENE TITULOS PARA DEVOLVER
                          <?php endif; ?>

                        </div>
                      </div>
                    </div>
                  </div>
                </div>
                <div class="col-md-6 grid-margin stretch-card">
                  <div class="card">
                    <div class="card-body">
                      <div class="d-flex flex-row justify-content-center align-items">
                        <div class="ml-3">
                          <label>POR FAVOR ELIJA 1 COMPARENDO PARA LA RESOLUCION</label><br>
                          <table class="table">
                            <thead>
                              <tr>
                                <th style="text-align: center;"></th>
                                <th> Comparendo/Sentencia  </th>
                                <th> Deuda </th>
                                <th> Historia </th>
                              </tr>
                            </thead>
                            <tbody>
                              <?php $__currentLoopData = $comparendos; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $comparendo): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

<?php

    $caderror = "";
            $comparend = app\Comparendo::where('id', '=', $comparendo->id_comparendo)->first();

      if($comparend->tieneSaldo($comparend->id)){

            $sentencia = app\ComparendoExpediente::where('id_comparendo', '=', $comparend->id)
                                          ->where('id_tipo_evento', 7)->first();
                //$this->line("siguiente...");                                
            $fechaNotificado = '';
            if(!isset($sentencia->id)){
              $compTemp = new app\Comparendo();
              if($compTemp->tieneSaldo($comparend->id)){//si tiene saldo, incluye todas las resoluciones
                if(!$compTemp->tieneAcuerdoVigente($comparend->id)){//si tiene un acuerdo vigente no debe entrar
                  $objetoNotificacion = $compTemp->estadoNotificacion($comparend->id);
                  if($objetoNotificacion->flag){//si es falso no esta notificado
                    //$this->line("Objetivo...".$objetoNotificacion->tipo);    
                    if($objetoNotificacion->tipo == 'avisomandamiento'){//si es por aviso debo buscar que la direccion que tenga sea mas reciente al aviso
                      $sigueProceso = true;//FALTA VALIDAR QUE LA DIRECCION SE COMPARE
                      $caderror=$caderror."Se sentenciara: Notificado por Aviso:";
                    }elseif($objetoNotificacion->tipo != ''){
                      $sigueProceso = true;//FALTA VALIDAR QUE LA DIRECCION SE COMPARE
                      $caderror=$caderror."Se sentenciara: Notificado por ".$objetoNotificacion->tipo.":";
                    }
                    $fechaNotificado = $objetoNotificacion->fecha;
                    $caderror=$caderror.$fechaNotificado;
                  } else{
                    //$this->line("NO ESTA NOTIFICADO...");
                    $caderror=$caderror."NO se sentenciara,NO ESTA NOTIFICADO...";
                  }
                } else{
                  //$this->line("tiene acuerdo vigente...");
                  $caderror=$caderror."NO se sentenciara, tiene acuerdo vigente...";
                }
              } else{
                //$this->line("NO TIENE SALDO...");
                $caderror=$caderror."NO se sentenciara,NO TIENE SALDO...";
              }
            } else{
              //$this->line("TIENE SENTENCIA...");
              $caderror=$caderror."Sentenciado:";
            }


        }

    //  }
    //}

if($caderror!="")
{
    ?>

    <script>
        swal("Proceso", "<?php echo e($caderror); ?>", "success");
    </script>
<?php
}
?>
                                <tr>
                                  <td>
                                    <input type="radio" name="comp" value="<?php echo e($comparendo->id_comparendo); ?>"><br>
                                  </td>

                                  <td><?php echo e($comparendo->numero); ?><br>
                                  <font color='red'><?php echo e($caderror); ?></font><?php echo e($comparendo->sentencia); ?>

                                  </td>
                                  <td><?php echo e($comparendo->debe); ?></td>
                                  <td>
                                    <a href="<?php echo e(route('historial.detalle', ['id' => $comparendo->id_comparendo])); ?>" target="_blank">
                                      Ver
                                    </a>
                                  </td>
                                </tr>
                              <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                          </table>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>

                <div class="col-md-4 grid-margin stretch-card">
                  <div class="card">
                    <div class="card-body">
                      <div class="d-flex flex-row justify-content-center align-items">
                        <div class="ml-3">
                          <h4>Devoluciones</h4>
                          <table class="table table-striped">
                            <thead>
                              <tr>
                                <th> Nombre </th>
                                <th> Fecha </th>
                                <th> Documento </th>
                              </tr>
                            </thead>
                            <tbody>
                              <?php $__currentLoopData = $devoluciones; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $devolucion): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                  <td><?php echo e($devolucion->nombre); ?></td>
                                  <td><?php echo e($devolucion->fecha); ?></td>
                                  <td>
                                    <a href="<?php echo e($devolucion->link); ?>" class="file-icon-wrapper" target="_blank">
                                      <div class="btn btn-outline-danger file-icon">
                                        <i class="mdi mdi-file-pdf"></i>
                                      </div>
                                    </a>
                                  </td>
                                </tr>
                              <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                          </table>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
                <div class="col-md-8 grid-margin stretch-card">
                  <div class="card">
                    <div class="card-body">
                      <div class="d-flex flex-row justify-content-center align-items">
                        <div class="ml-3">
                          <h4>Apropiaciones y Fraccionamiento</h4>
                          <table class="table table-striped">
                            <thead>
                              <tr>
                                <th> Nombre </th>
                                <th> Fecha </th>
                                <th> Documento </th>
                                <th> Eliminar </th>
                                <th> Revertir </th>
                              </tr>
                            </thead>
                            <tbody>
                              <?php $__currentLoopData = $apropiaciones; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $apropiacion): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                  <td><?php echo e($apropiacion->nombre); ?></td>
                                  <td><?php echo e($apropiacion->fecha); ?></td>
                                  <td>
                                    <a href="<?php echo e($apropiacion->link); ?>" class="file-icon-wrapper" target="_blank">
                                      <div class="btn btn-outline-danger file-icon">
                                        <i class="mdi mdi-file-pdf"></i>
                                      </div>
                                    </a>
                                  </td>
                                  <td>
                                    <a href="<?php echo e(route('titulos.eliminarapropiacion', ['id' => $apropiacion->id, 'cedula' => $identificacion])); ?>" class="file-icon-wrapper">
                                      Eliminar
                                    </a>
                                  </td>
                                  <td>
                                    <a href="<?php echo e(route('titulos.revertirapropiacion', ['id' => $apropiacion->id, 'cedula' => $identificacion])); ?>" class="file-icon-wrapper">
                                      REVERTIR RSAE-xxx
                                    </a>
                                  </td>
                                </tr>
                              <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                          </table>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </form>
        <?php else: ?>
          <?php if($identificacion != ''): ?>
            ESTA IDENTIFICACION NO TIENE COMPARENDOS
          <?php endif; ?>
        <?php endif; ?>
      </div>
    </div>
  </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>