<?php $__env->startSection('breadcrumbs'); ?>
    <?php echo $__env->make('__partials.breadcrumbs', [
        'data' => [
            ['route' => 'home', 'name' => 'Inicio'],
            ['route' => '', 'name' => 'Titulos'],
            ['route' => '', 'name' => 'Consultas']
        ],
        'show_add_button' => false
    ], \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
  <div class="col-lg-12 grid-margin stretch-card">
    <div class="card">
      <div class="card-body">
        <h4 class="card-title">Ingrese la identificacion para consultar los titulos</h4>
        <div>
          <div class="row">
            <div class="col-md-6">
              <div class="form-group">
                <label>Identificacion</label>
                <input type="text" class="form-control" id="identificacion" name="identificacion" placeholder="Identificacion" value="<?php echo e($identificacion); ?>">
                <br>
                <div class="form-group">
                  <label>Estado de los Titulos</label>
                  <select class="form-control" id="estado" name="estado">
                    <option value="" <?php if($estado == ''): ?> selected <?php endif; ?>>SIN GESTIONAR</option>
                    <option value="apropiados" <?php if($estado == 'apropiados'): ?> selected <?php endif; ?>>APROPIADOS</option>
                    <option value="fraccionado" <?php if($estado == 'fraccionado'): ?> selected <?php endif; ?>>FRACCIONADO</option>
                    <option value="juridico" <?php if($estado == 'juridico'): ?> selected <?php endif; ?>>PROCESO JURIDICO</option>
                    <option value="devolucion" <?php if($estado == 'devolucion'): ?> selected <?php endif; ?>>DEVOLUCION</option>
                    <option value="eliminado" <?php if($estado == 'eliminado'): ?> selected <?php endif; ?>>ELIMINADO</option>
                    <option value="todos" <?php if($estado == 'todos'): ?> selected <?php endif; ?>>TODOS</option>
                  </select>
                </div>
                <button id="consulta_titulo" type="submit" class="btn btn-success mr-2">Buscar</button>
              </div>
            </div>
            <div class="col-md-6">
              <label>Fecha Inicio</label>
              <div id="datepicker-popup" class="input-group date datepicker">
                <input type="text" class="form-control" id="fecha_inicio" name="fecha_inicio" value="<?php echo e($fecha_inicio); ?>">
                <span class="input-group-addon input-group-append border-left">
                  <span class="mdi mdi-calendar input-group-text"></span>
                </span>
              </div>

              <label>Fecha Final</label>
              <div id="datepicker-popup2" class="input-group date datepicker">
                <input type="text" class="form-control" id="fecha_final" name="fecha_final" value="<?php echo e($fecha_final); ?>">
                <span class="input-group-addon input-group-append border-left">
                  <span class="mdi mdi-calendar input-group-text"></span>
                </span>
              </div>
              <br>
              <button id="consulta_titulo_excel" type="submit" class="btn btn-success mr-2">Descargar Excel</button>
            </div>
          </div>
        </div>
        <br>
        <?php if($model != []): ?>
          <a href="<?php echo e(route('titulos.nuevo')); ?>" class="btn btn-primary btn-fw">
            Nuevo Titulo
          </a>
          <hr>
          <div style="font-size: 11px;">
            <div class="row">
              <div class="col-lg-12 grid-margin stretch-card">
                <div class="card">
                  <div class="card-body">
                    <p class="card-description">Cantidad de Titulos Encontrados:
                      <code><?php echo e($cantidadTitulos); ?></code>
                    </p>
                    <table class="table table-striped">
                      <thead>
                        <tr>
                          <th> Demandado </th>
                          <th> Municipio </th>
                          <th> Total </th>
                        </tr>
                      </thead>
                      <tbody>
                        <tr>
                          <td> <?php echo e('$ '.number_format($sumaDemandado, 2, ",", ".")); ?> </td>
                          <td> <?php echo e('$ '.number_format($sumaMunicipio, 2, ",", ".")); ?> </td>
                          <td> <?php echo e('$ '.number_format($sumaTotal, 2, ",", ".")); ?> </td>
                        </tr>
                      </tbody>
                    </table>
                    <table class="table table-striped">
                      <thead>
                        <tr>
                          <th> Fecha </th>
                          <th> Cedula/NIT </th>
                          <th> # Titulo </th>
                          <th> Valor </th>
                          <th> Estado </th>
                          <th> Accion </th>
                        </tr>
                      </thead>
                      <tbody>
                        <?php $__currentLoopData = $model; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $mod): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                          <tr>
                            <td>
                              <?php if($mod->fecha != ''): ?>
                                <?php echo e(\Carbon\Carbon::parse($mod->fecha)->format('d/m/Y')); ?>

                              <?php endif; ?>
                            </td>
                            <td><?php echo e($mod->cedula_nit); ?></td>
                            <td><?php echo e($mod->nombre_documento); ?></td>
                            <td><?php echo e('$ '.number_format($mod->valor_real, 2, ",", ".")); ?></td>
                            <td>
                              <?php if($mod->es_apropiado == 0 && $mod->es_fraccionado == 0): ?>
                                SIN GESTIONAR
                              <?php elseif($mod->es_apropiado == 1): ?>
                                APROPIADO
                              <?php elseif($mod->es_fraccionado > 0): ?>
                                FRACCIONADO
                              <?php elseif($mod->es_apropiado == -2): ?>
                                PROCESO JURIDICO
                              <?php elseif($mod->es_apropiado == -3): ?>
                                DEVOLUCION
                              <?php endif; ?>
                            </td>
                            <td>
                              <a href="<?php echo e(route('titulos.editar', ['id' => $mod->id])); ?>">
                                Editar
                              </a>
                            </td>
                          </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                      </tbody>
                    </table>
                  </div>
                </div>
              </div>
            </div>
          </div>
        <?php else: ?>
            NO EXISTEN TITULOS PENDIENTES POR PROCESAR
        <?php endif; ?>
      </div>
    </div>
  </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>